Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryPrivacySettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryPrivacySettings

Direct Known Subclasses:
  `TdApi.StoryPrivacySettingsCloseFriends`, `TdApi.StoryPrivacySettingsContacts`, `TdApi.StoryPrivacySettingsEveryone`, `TdApi.StoryPrivacySettingsSelectedUsers`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.StoryPrivacySettings extends TdApi.Object permits TdApi.StoryPrivacySettingsEveryone, TdApi.StoryPrivacySettingsContacts, TdApi.StoryPrivacySettingsCloseFriends, TdApi.StoryPrivacySettingsSelectedUsers
This class is an abstract base class. Describes privacy settings of a story.

## Constructor Summary

Constructors
Constructor
Description
`StoryPrivacySettings()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoryPrivacySettings

public StoryPrivacySettings()
Default class constructor.